Subject: Re: OT: MS Visual C++ Makefiles
From: "Robert Praetorius" <[email-masked]>
To: [email-masked]
Date: Fri, 8 Feb 2002 11:03:02 -0500

> On Fri, Feb 08, 2002 at 11:21:55AM -0000, Simon McCaughey wrote:
> > Has anyone ever written a makefile converter so that a project written in MS
> > VC++ can be compiled with gcc?
> > 
> > Would anyone else find this useful?
> 
> This *might* be OT but actually I would find that useful, yes.
> I have no idea if sth. like that already exists.

     I second this.  Not from personal experience, but from having watched 
a release engineers manually convert MSVC-generated makefiles into 
something intelligible by humans, so that they could inject a bit of 
flexibility and portability into the way things got built.

     That is to say - I would not (yet) have had occasion to use it 
myself, but I've certainly observed instances where it'd be useful.
And perhaps it'd make it easier for people who want to be less chained to 
Microsoft and thereby encourage more open software development.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/